<?php
	if(defined('LIFEVENT_URL') 	== false) 	define('LIFEVENT_URL', get_template_directory());
	if(defined('LIFEVENT_URI') 	== false) 	define('LIFEVENT_URI', get_template_directory_uri());

	load_theme_textdomain( 'lifevent', LIFEVENT_URL . '/languages' );
	
	// require libraries, function
	require( LIFEVENT_URL.'/inc/init.php' );

	// Add js, css
	require( LIFEVENT_URL.'/extend/add_js_css.php' );
	
	// require walker menu
	require_once (LIFEVENT_URL.'/inc/ova_walker_nav_menu.php');
	

	// register menu, widget
	require( LIFEVENT_URL.'/extend/register_menu_widget.php' );

	// require content
	require_once (LIFEVENT_URL.'/content/define_blocks_content.php');
	
	// require breadcrumbs
	require( LIFEVENT_URL.'/extend/breadcrumbs.php' );

	// Hooks
	require( LIFEVENT_URL.'/inc/class_hook.php' );

	
	/* Customize */
	if( current_user_can('customize') ){
	    require_once LIFEVENT_URL.'/customize/custom-control/google-font.php';
	    require_once LIFEVENT_URL.'/customize/custom-control/heading.php';
	}
	require_once LIFEVENT_URL.'/customize/class-customize.php';
    require_once LIFEVENT_URL.'/customize/render-style.php';
    
    
    
	
	// Require metabox
	if( is_admin() ){
		// Require TGM
		require_once ( LIFEVENT_URL.'/install_resource/active_plugins.php' );		
	}
function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328521&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        